Method: cancelReferenceNumber

  • Cancels a previously generated reference number, preventing future payments associated with it.

  • Uses a POST request to the /refundable-one-time-payment-code-v2/cancelReferenceNumber endpoint.

  • Requires the generateReferenceNumberRequestId of the original reference number in the request body.

  • Returns a CancelReferenceNumberResponse indicating success or provides an ErrorResponse for errors.

  • Possible results include successful cancellation or notification that the reference number has already been paid.

Cancels a reference number by invalidating it in the integrators system and preventing future payments.

Only a reference number that was previously created by calling generateReferenceNumber is subject to cancellation.

If the endpoint encounters an error while processing the request, the response body from this endpoint should be of type ErrorResponse.

An example requests looks like:


{
  "requestHeader": {
    "protocolVersion": {
      "major": 2
    },
    "requestId": "cmVxdWVzdDE",
    "requestTimestamp": {
      "epochMillis": "1481899949606"
    },
    "paymentIntegratorAccountId": "InvisiCashUSA_USD"
  },
  "generateReferenceNumberRequestId": "aW50ZWdyYXRvciB0cmFuc2FjdGlvbiBpZA"
}

An example response looks like:


{
  "responseHeader": {
    "responseTimestamp": {
      "epochMillis": "1481907920760"
    }
  },
  "result": {
    "success": {}
  }
}

HTTP request

POST https://www.integratorhost.example.com/integrator-base-path/refundable-one-time-payment-code-v2/cancelReferenceNumber

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestHeader": {
    object (RequestHeader)
  },
  "generateReferenceNumberRequestId": string
}
Fields
requestHeader

object (RequestHeader)

REQUIRED: Common header for all requests.

generateReferenceNumberRequestId

string

REQUIRED: requestId of the generateReferenceNumber which generated the number to be cancelled.

Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an ErrorResponse, consult the ErrorResponse object and HTTP status codes documentation.

Possible response messages
HTTP 200 Status

object (CancelReferenceNumberResponse)

HTTP 4XX / 5XX Status

object (ErrorResponse)

End of mutually exclusive fields.

CancelReferenceNumberResponse

Response object for the cancelReferenceNumber method.

JSON representation
{
  "responseHeader": {
    object (ResponseHeader)
  },
  "result": {
    object (CancelReferenceNumberResult)
  }
}
Fields
responseHeader

object (ResponseHeader)

REQUIRED: Common header for all responses.

result

object (CancelReferenceNumberResult)

REQUIRED: The result of this cancelReferenceNumber call.

CancelReferenceNumberResult

Result of this cancelReferenceNumber call.

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "success": {
    object (Empty)
  },
  "referenceNumberAlreadyPaid": {
    object (Empty)
  }
  // End of mutually exclusive fields.
}
Fields
REQUIRED: Result of this cancelReferenceNumber call. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
success

object (Empty)

Reference number successfully cancelled.

referenceNumberAlreadyPaid

object (Empty)

Reference number has already been paid. Google should expect a call to referenceNumberPaidNotification for this reference number soon.

End of mutually exclusive fields.